const router = require('express').Router();
const pug = require('pug');

const profilePug = pug.compileFile('pug/profile.pug');
const newPug = pug.compileFile('pug/profile/new.pug');

module.exports = router
  .get('/profile', guard, (req, res) => {
    res.send(profilePug({ user: req.user }));
  })
  .get('/profile/new', guard, (req, res) => {
    res.send(newPug({ user: req.user }));
  })
  .post('/profile/new', guard, (req, res) => {
    res.json({
      id: req.body.id,
      q: req.body.q
    });
  });

function guard(req, res, next) {
  if (req.user) {
    next();
  } else {
    res.redirect('/login');
  }
}